<?php
@ini_set("display_errors","1");
@ini_set("display_startup_errors","1");


require_once("include/dbcommon.php");
require_once('classes/menupage.php');


Security::processLogoutRequest();
if( !isLogged() || Security::isGuest() ) 
{
	Security::tryRelogin();
}

if( !isLogged() )
{
	HeaderRedirect("login");
	return;
}


if (($_SESSION["MyURL"] == "") || (!Security::isGuest())) {
	Security::saveRedirectURL();
}


require_once('include/xtempl.php');
require_once(getabspath("classes/cipherer.php"));

include_once(getabspath("include/leave_events.php"));
$tableEvents["leave"] = new eventclass_leave;
include_once(getabspath("include/loan_events.php"));
$tableEvents["loan"] = new eventclass_loan;
include_once(getabspath("include/over_time_events.php"));
$tableEvents["over_time"] = new eventclass_over_time;
include_once(getabspath("include/change_time_events.php"));
$tableEvents["change_time"] = new eventclass_change_time;
include_once(getabspath("include/Dashboard_events.php"));
$tableEvents["Dashboard"] = new eventclass_Dashboard;
include_once(getabspath("include/employees_events.php"));
$tableEvents["employees"] = new eventclass_employees;
include_once(getabspath("include/fieldwork_events.php"));
$tableEvents["fieldwork"] = new eventclass_fieldwork;
include_once(getabspath("include/Leave_for_checking_events.php"));
$tableEvents["Leave_for_checking"] = new eventclass_Leave_for_checking;
include_once(getabspath("include/Leave_for_approval_events.php"));
$tableEvents["Leave_for_approval"] = new eventclass_Leave_for_approval;
include_once(getabspath("include/request_for_payment_events.php"));
$tableEvents["request_for_payment"] = new eventclass_request_for_payment;
include_once(getabspath("include/request_for_payment_detail_events.php"));
$tableEvents["request_for_payment_detail"] = new eventclass_request_for_payment_detail;
include_once(getabspath("include/purchase_request_events.php"));
$tableEvents["purchase_request"] = new eventclass_purchase_request;
include_once(getabspath("include/purchase_request_detail_events.php"));
$tableEvents["purchase_request_detail"] = new eventclass_purchase_request_detail;
include_once(getabspath("include/Overtime_for_checking_events.php"));
$tableEvents["Overtime_for_checking"] = new eventclass_Overtime_for_checking;
include_once(getabspath("include/Overtime_for_approval_events.php"));
$tableEvents["Overtime_for_approval"] = new eventclass_Overtime_for_approval;
include_once(getabspath("include/Change_Time_Schedule_for_approval_events.php"));
$tableEvents["Change_Time_Schedule_for_approval"] = new eventclass_Change_Time_Schedule_for_approval;
include_once(getabspath("include/Change_Time_Schedule_for_checking_events.php"));
$tableEvents["Change_Time_Schedule_for_checking"] = new eventclass_Change_Time_Schedule_for_checking;
include_once(getabspath("include/undertime_events.php"));
$tableEvents["undertime"] = new eventclass_undertime;
include_once(getabspath("include/Undertime_for_approval_events.php"));
$tableEvents["Undertime_for_approval"] = new eventclass_Undertime_for_approval;
include_once(getabspath("include/Undertime_for_checking_events.php"));
$tableEvents["Undertime_for_checking"] = new eventclass_Undertime_for_checking;
include_once(getabspath("include/request_for_payment_for_approval_events.php"));
$tableEvents["request_for_payment_for_approval"] = new eventclass_request_for_payment_for_approval;
include_once(getabspath("include/request_for_payment_for_checking_events.php"));
$tableEvents["request_for_payment_for_checking"] = new eventclass_request_for_payment_for_checking;
include_once(getabspath("include/Purchase_Request_for_approval_events.php"));
$tableEvents["Purchase_Request_for_approval"] = new eventclass_Purchase_Request_for_approval;
include_once(getabspath("include/Purchase_Request_for_checking_events.php"));
$tableEvents["Purchase_Request_for_checking"] = new eventclass_Purchase_Request_for_checking;
include_once(getabspath("include/process_payroll_events.php"));
$tableEvents["process_payroll"] = new eventclass_process_payroll;
include_once(getabspath("include/reimbursement_events.php"));
$tableEvents["reimbursement"] = new eventclass_reimbursement;
include_once(getabspath("include/reimbursement_detail_events.php"));
$tableEvents["reimbursement_detail"] = new eventclass_reimbursement_detail;
include_once(getabspath("include/change_password_events.php"));
$tableEvents["change_password"] = new eventclass_change_password;
include_once(getabspath("include/applicant_requirements_events.php"));
$tableEvents["applicant_requirements"] = new eventclass_applicant_requirements;
include_once(getabspath("include/Fieldwork_for_checking_events.php"));
$tableEvents["Fieldwork_for_checking"] = new eventclass_Fieldwork_for_checking;
include_once(getabspath("include/Fieldwork_for_approval_events.php"));
$tableEvents["Fieldwork_for_approval"] = new eventclass_Fieldwork_for_approval;
include_once(getabspath("include/loan_for_approval_events.php"));
$tableEvents["loan_for_approval"] = new eventclass_loan_for_approval;
include_once(getabspath("include/loan_for_checking_events.php"));
$tableEvents["loan_for_checking"] = new eventclass_loan_for_checking;
include_once(getabspath("include/holiday_overtime_events.php"));
$tableEvents["holiday_overtime"] = new eventclass_holiday_overtime;
include_once(getabspath("include/holiday_over_time_for_approvalx_events.php"));
$tableEvents["holiday_over_time_for_approvalx"] = new eventclass_holiday_over_time_for_approvalx;
include_once(getabspath("include/holiday_over_time_for_checkingx_events.php"));
$tableEvents["holiday_over_time_for_checkingx"] = new eventclass_holiday_over_time_for_checkingx;
include_once(getabspath("include/holiday_overtime_for_checking_events.php"));
$tableEvents["holiday_overtime_for_checking"] = new eventclass_holiday_overtime_for_checking;
include_once(getabspath("include/holiday_overtime_for_approval_events.php"));
$tableEvents["holiday_overtime_for_approval"] = new eventclass_holiday_overtime_for_approval;
include_once(getabspath("include/employees_subordinate_events.php"));
$tableEvents["employees_subordinate"] = new eventclass_employees_subordinate;
include_once(getabspath("include/employees_schedule_events.php"));
$tableEvents["employees_schedule"] = new eventclass_employees_schedule;
include_once(getabspath("include/dtr_project_events.php"));
$tableEvents["dtr_project"] = new eventclass_dtr_project;
include_once(getabspath("include/tasks_events.php"));
$tableEvents["tasks"] = new eventclass_tasks;
include_once(getabspath("include/dtr_project_for_approval_events.php"));
$tableEvents["dtr_project_for_approval"] = new eventclass_dtr_project_for_approval;
include_once(getabspath("include/summary_hrs_events.php"));
$tableEvents["summary_hrs"] = new eventclass_summary_hrs;
include_once(getabspath("include/employee_info_events.php"));
$tableEvents["Employee_Info"] = new eventclass_employee_info;
include_once(getabspath("include/reimbursement_for_checking_events.php"));
$tableEvents["reimbursement_for_checking"] = new eventclass_reimbursement_for_checking;
include_once(getabspath("include/reimbursement_for_approval_events.php"));
$tableEvents["reimbursement_for_approval"] = new eventclass_reimbursement_for_approval;
include_once(getabspath("include/missing_logs_events.php"));
$tableEvents["missing_logs"] = new eventclass_missing_logs;
include_once(getabspath("include/missing_logs_for_checking_events.php"));
$tableEvents["Missing_Logs_for_checking"] = new eventclass_missing_logs_for_checking;
include_once(getabspath("include/missing_logs_for_approval_events.php"));
$tableEvents["Missing_Logs_for_approval"] = new eventclass_missing_logs_for_approval;
include_once(getabspath("include/flexben_events.php"));
$tableEvents["flexben"] = new eventclass_flexben;
include_once(getabspath("include/flexben_for_checking_events.php"));
$tableEvents["Flexben_for_checking"] = new eventclass_flexben_for_checking;
include_once(getabspath("include/flexben_for_approval1_events.php"));
$tableEvents["Flexben_for_approval1"] = new eventclass_flexben_for_approval1;
include_once(getabspath("include/flexben_for_approval_events.php"));
$tableEvents["Flexben_for_approval"] = new eventclass_flexben_for_approval;
include_once(getabspath("include/payroll_ticketing_events.php"));
$tableEvents["payroll_ticketing"] = new eventclass_payroll_ticketing;
include_once(getabspath("include/overtime_approver1_events.php"));
$tableEvents["Overtime_approver1"] = new eventclass_overtime_approver1;
include_once(getabspath("include/overtime_approver2_events.php"));
$tableEvents["Overtime_approver2"] = new eventclass_overtime_approver2;
include_once(getabspath("include/overtime_approver3_events.php"));
$tableEvents["Overtime_approver3"] = new eventclass_overtime_approver3;
include_once(getabspath("include/overtime_approver4_events.php"));
$tableEvents["Overtime_approver4"] = new eventclass_overtime_approver4;
include_once(getabspath("include/leave_approver1_events.php"));
$tableEvents["Leave_approver1"] = new eventclass_leave_approver1;
include_once(getabspath("include/leave_approver2_events.php"));
$tableEvents["Leave_approver2"] = new eventclass_leave_approver2;
include_once(getabspath("include/leave_approver3_events.php"));
$tableEvents["Leave_approver3"] = new eventclass_leave_approver3;
include_once(getabspath("include/leave_approver4_events.php"));
$tableEvents["Leave_approver4"] = new eventclass_leave_approver4;
include_once(getabspath("include/change_time_schedule_approver1_events.php"));
$tableEvents["Change_Time_Schedule_approver1"] = new eventclass_change_time_schedule_approver1;
include_once(getabspath("include/change_time_schedule_approver2_events.php"));
$tableEvents["Change_Time_Schedule_approver2"] = new eventclass_change_time_schedule_approver2;
include_once(getabspath("include/change_time_schedule_approver3_events.php"));
$tableEvents["Change_Time_Schedule_approver3"] = new eventclass_change_time_schedule_approver3;
include_once(getabspath("include/change_time_schedule_approver4_events.php"));
$tableEvents["Change_Time_Schedule_approver4"] = new eventclass_change_time_schedule_approver4;
include_once(getabspath("include/official_business_approver1_events.php"));
$tableEvents["Official_Business_approver1"] = new eventclass_official_business_approver1;
include_once(getabspath("include/official_business_approver2_events.php"));
$tableEvents["Official_Business_approver2"] = new eventclass_official_business_approver2;
include_once(getabspath("include/official_business_approver3_events.php"));
$tableEvents["Official_Business_approver3"] = new eventclass_official_business_approver3;
include_once(getabspath("include/official_business_approver4_events.php"));
$tableEvents["Official_Business_approver4"] = new eventclass_official_business_approver4;
include_once(getabspath("include/missing_logs_approver1_events.php"));
$tableEvents["Missing_Logs_approver1"] = new eventclass_missing_logs_approver1;
include_once(getabspath("include/missing_logs_approver2_events.php"));
$tableEvents["Missing_Logs_approver2"] = new eventclass_missing_logs_approver2;
include_once(getabspath("include/missing_logs_approver3_events.php"));
$tableEvents["Missing_Logs_approver3"] = new eventclass_missing_logs_approver3;
include_once(getabspath("include/missing_logs_approver4_events.php"));
$tableEvents["Missing_Logs_approver4"] = new eventclass_missing_logs_approver4;
include_once(getabspath("include/holiday_overtime_approver1_events.php"));
$tableEvents["Holiday_Overtime_approver1"] = new eventclass_holiday_overtime_approver1;
include_once(getabspath("include/holiday_overtime_approver2_events.php"));
$tableEvents["Holiday_Overtime_approver2"] = new eventclass_holiday_overtime_approver2;
include_once(getabspath("include/holiday_overtime_approver3_events.php"));
$tableEvents["Holiday_Overtime_approver3"] = new eventclass_holiday_overtime_approver3;
include_once(getabspath("include/holiday_overtime_approver4_events.php"));
$tableEvents["Holiday_Overtime_approver4"] = new eventclass_holiday_overtime_approver4;
include_once(getabspath("include/year_end_pto_conversion_events.php"));
$tableEvents["year_end_pto_conversion"] = new eventclass_year_end_pto_conversion;
include_once(getabspath("include/cto_events.php"));
$tableEvents["cto"] = new eventclass_cto;
include_once(getabspath("include/cto_approver1_events.php"));
$tableEvents["cto_approver1"] = new eventclass_cto_approver1;
include_once(getabspath("include/cto_approver2_events.php"));
$tableEvents["cto_approver2"] = new eventclass_cto_approver2;
include_once(getabspath("include/cto_approver3_events.php"));
$tableEvents["cto_approver3"] = new eventclass_cto_approver3;
include_once(getabspath("include/cto_approver4_events.php"));
$tableEvents["cto_approver4"] = new eventclass_cto_approver4;
include_once(getabspath("include/history_change_time_schedule_approver1_events.php"));
$tableEvents["History_Change_Time_Schedule_approver1"] = new eventclass_history_change_time_schedule_approver1;
include_once(getabspath("include/history_change_time_schedule_approver2_events.php"));
$tableEvents["History_Change_Time_Schedule_approver2"] = new eventclass_history_change_time_schedule_approver2;
include_once(getabspath("include/history_change_time_schedule_approver3_events.php"));
$tableEvents["History_Change_Time_Schedule_approver3"] = new eventclass_history_change_time_schedule_approver3;
include_once(getabspath("include/history_change_time_schedule_approver4_events.php"));
$tableEvents["History_Change_Time_Schedule_approver4"] = new eventclass_history_change_time_schedule_approver4;
include_once(getabspath("include/history_cto_approver1_events.php"));
$tableEvents["History_cto_approver1"] = new eventclass_history_cto_approver1;
include_once(getabspath("include/history_cto_approver2_events.php"));
$tableEvents["History_cto_approver2"] = new eventclass_history_cto_approver2;
include_once(getabspath("include/history_cto_approver3_events.php"));
$tableEvents["History_cto_approver3"] = new eventclass_history_cto_approver3;
include_once(getabspath("include/history_cto_approver4_events.php"));
$tableEvents["History_cto_approver4"] = new eventclass_history_cto_approver4;
include_once(getabspath("include/history_holiday_overtime_approver1_events.php"));
$tableEvents["History_Holiday_Overtime_approver1"] = new eventclass_history_holiday_overtime_approver1;
include_once(getabspath("include/history_holiday_overtime_approver2_events.php"));
$tableEvents["History_Holiday_Overtime_approver2"] = new eventclass_history_holiday_overtime_approver2;
include_once(getabspath("include/history_holiday_overtime_approver3_events.php"));
$tableEvents["History_Holiday_Overtime_approver3"] = new eventclass_history_holiday_overtime_approver3;
include_once(getabspath("include/history_holiday_overtime_approver4_events.php"));
$tableEvents["History_Holiday_Overtime_approver4"] = new eventclass_history_holiday_overtime_approver4;
include_once(getabspath("include/history_leave_approver1_events.php"));
$tableEvents["History_Leave_approver1"] = new eventclass_history_leave_approver1;
include_once(getabspath("include/history_leave_approver2_events.php"));
$tableEvents["History_Leave_approver2"] = new eventclass_history_leave_approver2;
include_once(getabspath("include/history_leave_approver3_events.php"));
$tableEvents["History_Leave_approver3"] = new eventclass_history_leave_approver3;
include_once(getabspath("include/history_leave_approver4_events.php"));
$tableEvents["History_Leave_approver4"] = new eventclass_history_leave_approver4;
include_once(getabspath("include/history_missing_logs_approver1_events.php"));
$tableEvents["History_Missing_Logs_approver1"] = new eventclass_history_missing_logs_approver1;
include_once(getabspath("include/history_missing_logs_approver2_events.php"));
$tableEvents["History_Missing_Logs_approver2"] = new eventclass_history_missing_logs_approver2;
include_once(getabspath("include/history_missing_logs_approver3_events.php"));
$tableEvents["History_Missing_Logs_approver3"] = new eventclass_history_missing_logs_approver3;
include_once(getabspath("include/history_missing_logs_approver4_events.php"));
$tableEvents["History_Missing_Logs_approver4"] = new eventclass_history_missing_logs_approver4;
include_once(getabspath("include/history_official_business_approver1_events.php"));
$tableEvents["History_Official_Business_approver1"] = new eventclass_history_official_business_approver1;
include_once(getabspath("include/history_official_business_approver2_events.php"));
$tableEvents["History_Official_Business_approver2"] = new eventclass_history_official_business_approver2;
include_once(getabspath("include/history_official_business_approver3_events.php"));
$tableEvents["History_Official_Business_approver3"] = new eventclass_history_official_business_approver3;
include_once(getabspath("include/history_official_business_approver4_events.php"));
$tableEvents["History_Official_Business_approver4"] = new eventclass_history_official_business_approver4;
include_once(getabspath("include/history_overtime_approver1_events.php"));
$tableEvents["History_Overtime_approver1"] = new eventclass_history_overtime_approver1;
include_once(getabspath("include/history_overtime_approver2_events.php"));
$tableEvents["History_Overtime_approver2"] = new eventclass_history_overtime_approver2;
include_once(getabspath("include/history_overtime_approver3_events.php"));
$tableEvents["History_Overtime_approver3"] = new eventclass_history_overtime_approver3;
include_once(getabspath("include/history_overtime_approver4_events.php"));
$tableEvents["History_Overtime_approver4"] = new eventclass_history_overtime_approver4;
include_once(getabspath("include/change_time_schedule_approval_events.php"));
$tableEvents["Change_Time_Schedule_approval"] = new eventclass_change_time_schedule_approval;
include_once(getabspath("include/overtime_approval_events.php"));
$tableEvents["Overtime_approval"] = new eventclass_overtime_approval;
include_once(getabspath("include/leave_approval_events.php"));
$tableEvents["Leave_approval"] = new eventclass_leave_approval;
include_once(getabspath("include/official_business_approval_events.php"));
$tableEvents["Official_Business_approval"] = new eventclass_official_business_approval;
include_once(getabspath("include/missing_logs_approval_events.php"));
$tableEvents["Missing_Logs_approval"] = new eventclass_missing_logs_approval;
include_once(getabspath("include/holiday_overtime_approval_events.php"));
$tableEvents["Holiday_Overtime_approval"] = new eventclass_holiday_overtime_approval;
include_once(getabspath("include/cto_approval_events.php"));
$tableEvents["CTO_approval"] = new eventclass_cto_approval;
include_once(getabspath("include/employeesdd_events.php"));
$tableEvents["employeesdd"] = new eventclass_employeesdd;
include_once(getabspath("include/process_payroll_report_events.php"));
$tableEvents["process_payroll Report"] = new eventclass_process_payroll_report;
include_once(getabspath("include/offsetting_events.php"));
$tableEvents["offsetting"] = new eventclass_offsetting;
include_once(getabspath("include/offsetting_approval_events.php"));
$tableEvents["Offsetting_approval"] = new eventclass_offsetting_approval;
include_once(getabspath("include/offset_approval_events.php"));
$tableEvents["Offset_approval"] = new eventclass_offset_approval;

$xt = new Xtempl();

//array of params for classes
$params = array();
$params["id"] = postvalue_number("id"); 
$params["xt"] = &$xt;
$params["tName"] = GLOBAL_PAGES;
$params["pageType"] = PAGE_MENU;
$params["isGroupSecurity"] = $isGroupSecurity;
$params["needSearchClauseObj"] = false;
$params["pageName"] = postvalue("page"); 

$pageObject = new MenuPage($params);
$pageObject->init();

$pageObject->process();
?>